Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Create translation

Deprecated
POST
/audio/translations

Translates audio into English.

This endpoint supports only whisper-1. The endpoint and model are deprecated and scheduled to shut down on February 26, 2027. Migrate to /v1/realtime/translations, which requires a separate integration. See the deprecation schedule for details.

Body Parameters
Form Data
file: file

The audio file object (not file name) translate, in one of these formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm. The request must include enough format metadata for the file to be identified. We recommend an extension-bearing filename and an appropriate content type.

model: string or AudioModel

ID of the model to use. Only whisper-1 (which is powered by our open source Whisper V2 model) is currently available.

One of the following:
string
AudioModel = "whisper-1" or "gpt-transcribe" or "gpt-4o-transcribe" or 3 more
One of the following:
"gpt-transcribe"
"whisper-1"

Deprecated. Announced shutdown date: 2027-02-26. See https://developers.openai.com/api/docs/deprecations for details and recommended replacements.

"gpt-4o-transcribe"

Deprecated. Announced shutdown date: 2027-02-26. See https://developers.openai.com/api/docs/deprecations for details and recommended replacements.

"gpt-4o-mini-transcribe"

Deprecated. Announced shutdown date: 2027-02-26. See https://developers.openai.com/api/docs/deprecations for details and recommended replacements.

"gpt-4o-mini-transcribe-2025-12-15"

Deprecated. Announced shutdown date: 2027-02-26. See https://developers.openai.com/api/docs/deprecations for details and recommended replacements.

"gpt-4o-transcribe-diarize"

Deprecated. Announced shutdown date: 2027-02-26. See https://developers.openai.com/api/docs/deprecations for details and recommended replacements.

prompt: optional string

An optional text to guide the model’s style or continue a previous audio segment. The prompt should be in English.

response_format: optional "json" or "text" or "srt" or 2 more (default: "json")

The format of the output, in one of these options: json, text, srt, verbose_json, or vtt.

One of the following:
"json"
"text"
"srt"
"verbose_json"
"vtt"
temperature: optional number (default: 0)

The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use log probability to automatically increase the temperature until certain thresholds are hit.

Returns
Translation object { text }
text: string
TranslationVerbose object { duration, language, text, segments }
duration: number

The duration of the input audio.

formatdouble
language: string

The language of the output translation (always english).

text: string

The translated text.

segments: optional array of TranscriptionSegment { id, avg_logprob, compression_ratio, 7 more }

Segments of the translated text and their corresponding details.

id: integer

Unique identifier of the segment.

avg_logprob: number

Average logprob of the segment. If the value is lower than -1, consider the logprobs failed.

formatfloat
compression_ratio: number

Compression ratio of the segment. If the value is greater than 2.4, consider the compression failed.

formatfloat
end: number

End time of the segment in seconds.

formatdouble
no_speech_prob: number

Probability of no speech in the segment. If the value is higher than 1.0 and the avg_logprob is below -1, consider this segment silent.

formatfloat
seek: integer

Seek offset of the segment.

start: number

Start time of the segment in seconds.

formatdouble
temperature: number

Temperature parameter used for generating the segment.

formatfloat
text: string

Text content of the segment.

tokens: array of number

Array of token IDs for the text content.

Create translation

curl https://api.openai.com/v1/audio/translations \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: multipart/form-data" \
  -F file="@/path/to/file/german.m4a" \
  -F model="whisper-1"
Response example
{
  "text": "Hello, my name is Wolfgang and I come from Germany. Where are you heading today?"
}
Returns Examples
Response example
{
  "text": "Hello, my name is Wolfgang and I come from Germany. Where are you heading today?"
}